Name:           naev
Version:        0.5.0
Release:        3%{?dist}
Summary:        2d action, RPG space game
License:        GPLv3
Group:          Amusements/Games
URL:            http://code.google.com/p/naev/
Source:         http://sourceforge.net/projects/naev/files/%{name}-%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  SDL-devel
BuildRequires:  SDL_image-devel
BuildRequires:  libxml2-devel
BuildRequires:  freetype-devel
BuildRequires:  libpng-devel
BuildRequires:  libvorbis-devel
BuildRequires:  openal-soft-devel
BuildRequires:  desktop-file-utils
BuildRequires:  SDL_mixer-devel
BuildRequires:  lua-devel
BuildRequires:  readline-devel
BuildRequires:  suitesparse-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
Requires:       %{name}-data = %{version}


%description
NAEV is a 2D space trading and combat game, in a similar vein to Escape
Velocity.

NAEV is played from a top-down perspective, featuring fast-paced combat, many
ships, a large variety of equipment and a large galaxy to explore. The game is
highly open-ended, letting you proceed at your own pace.

%prep
%setup -q -n %{name}-%{version}
# Remove built-in libraries
rm -rf lib/lua lib/csparse
# Patch configure to use system cxsparse
sed -i s/"\$have_csparse_lib = yes -a \$have_cxsparse_lib = yes -a"/" \\\( \$have_csparse_lib = yes -o \$have_cxsparse_lib = yes \\\) -a"/g configure
sed -i s/"-lcsparse -lcxsparse"/"-lcxsparse"/g configure

%build
# note the ndata-path needs to point directly to the file
%configure --with-ndata-path=%{_datadir}/%{name}/ndata-%{version} --enable-lua=shared --disable-shave
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

# Copy high quality 256x256 icon rather than default 32x32
rm -f %{buildroot}%{_datadir}/pixmaps/naev.png
install -m 644 extras/logos/logo256.png %{buildroot}%{_datadir}/pixmaps/naev.png

# docs get installed to wrong location
rm -rf %{buildroot}%{_docdir}/naev

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS LICENSE README TODO
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_mandir}/man6/*

%changelog
* Tue Jun 28 2011 Jonathan Dieter <jdieter@lesbg.com> - 0.5.0-3
- Remove unneeded defattr

* Mon Jun 27 2011 Jonathan Dieter <jdieter@lesbg.com> - 0.5.0-2
- Clean up spec

* Sun Jun  5 2011 Jonathan Dieter <jdieter@lesbg.com> - 0.5.0-1
- Convert openSUSE Build Service RPM to Fedora RPM
- Split data into separate source rpm

* Wed Jun  9 2010 dbuck <noone@example.com> - 0.4.2-1
- initial build
